{
  "name": "aizuda",
  "private": true,
  "version": "0.0.0",
  "description": " aizuda 低代码开发平台",
  "type": "module",
  "scripts": {
    "start": "npm run dev",
    "serve": "npm run dev",
    "dev": "vite serve --mode development",
    "build": "vue-tsc --noEmit && vite build --mode production",
    "build:dev": "vite build --mode development",
    "build:test": "vite build --mode test",
    "build:pre": "vite build --mode staging",
    "preview": "vite preview",
    "dev:ckeditor5": "pnpm -C ./src/components/external/ckeditor5 dev",
    "build:ckeditor5": "pnpm -C ./src/components/external/ckeditor5 build",
    "lint:eslint": "eslint --fix --ext .js,.ts, .tsx,.vue ./src",
    "lint:prettier": "prettier --write \"src/**/*.{js,ts,json,tsx,css,less,scss,vue,html,md}\"",
    "lint:lint-staged": "lint-staged"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
		"@logicflow/core": "^1.2.26",
		"@logicflow/extension": "^1.2.26",
    "@popperjs/core": "^2.11.8",
    "@vant/area-data": "^1.4.0",
    "@vant/touch-emulator": "^1.4.0",
    "@vue/shared": "^3.4.21",
    "@vuelidate/core": "^2.0.0",
    "@vuelidate/validators": "^2.0.0",
    "@vueuse/core": "^10.1.2",
    "async": "^3.2.4",
    "axios": "^1.4.0",
    "canvas": "^2.11.2",
    "colord": "^2.9.3",
    "dayjs": "^1.11.7",
    "echarts": "^5.4.2",
    "element-plus": "^2.3.4",
    "everright-filter": "^1.1.1",
    "js-md5": "^0.7.3",
    "jss": "^10.9.2",
    "jss-preset-default": "^10.9.2",
    "lodash-es": "^4.17.21",
    "lodash-unified": "^1.0.3",
    "mitt": "^3.0.0",
    "nanoid": "^4.0.0",
    "nprogress": "^0.2.0",
    "nzh": "^1.0.8",
    "path-browserify": "^1.0.1",
    "path-to-regexp": "^6.2.0",
    "pinia": "^2.1.7",
    "pinia-plugin-persistedstate": "^3.1.0",
		"sortablejs": "^1.15.0",
    "signature_pad": "^4.1.4",
    "vant": "^4.0.8",
    "vite-svg-loader": "^4.0.0",
    "vue": "^3.4.26",
    "vue-i18n": "^9.2.2",
    "vue-ls": "^4.2.0",
    "vue-router": "^4.2.1",
    "vuedraggable": "^4.1.0",
    "webpack": "^5.91.0"
  },
  "devDependencies": {
    "@babel/core": "^7.21.0",
    "@babel/eslint-parser": "^7.19.1",
    "@ckeditor/ckeditor5-alignment": "^35.4.0",
    "@ckeditor/ckeditor5-build-classic": "^35.4.0",
    "@ckeditor/ckeditor5-build-decoupled-document": "^35.4.0",
    "@ckeditor/ckeditor5-build-inline": "^35.4.0",
    "@ckeditor/ckeditor5-vue": "^4.0.1",
    "@types/js-md5": "^0.7.0",
    "@types/nprogress": "^0.2.0",
    "@types/path-browserify": "^1.0.0",
    "@types/sortablejs": "^1.15.3",
    "@types/vue-ls": "^3.2.3",
    "@typescript-eslint/eslint-plugin": "^5.59.7",
    "@typescript-eslint/parser": "^5.59.6",
    "@vitejs/plugin-vue": "^4.2.3",
    "@vitejs/plugin-vue-jsx": "^3.0.1",
    "@vue/compiler-sfc": "^3.2.47",
    "@vue/test-utils": "^2.3.2",
    "autoprefixer": "^10.4.16",
    "better-sqlite3": "^8.2.0",
    "codemirror": "^5.60.0",
    "connect-multiparty": "^2.2.0",
    "conventional-changelog-cli": "^4.1.0",
    "eslint": "^8.40.0",
    "eslint-config-prettier": "^8.7.0",
    "eslint-config-standard": "^17.0.0",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-n": "^15.6.1",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-promise": "^6.1.1",
    "eslint-plugin-vue": "^9.9.0",
    "jsdom": "^22.0.0",
    "postcss": "^8.4.30",
    "prettier": "^2.8.8",
    "resize-observer-polyfill": "^1.5.1",
    "rollup-plugin-visualizer": "^5.9.0",
    "sass": "^1.62.1",
    "typescript": "^5.0.4",
    "unplugin-vue-setup-extend-plus": "^1.0.0",
    "vite": "^4.3.8",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-eslint": "^1.8.1",
    "vite-plugin-html": "^3.2.0",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-tsc": "^1.6.5"
  },
  "engines": {
    "node": ">=16.0.0"
  }
}
